Bug 191 - XMPP server doesn't respond to unknown IQ stanzas
Summary: XMPP server doesn't respond to unknown IQ stanzas
Status: RESOLVED FIXED
Alias: None
Product: ZeXtras
Classification: Unclassified
Component: ZxChat (show other bugs)
Version: 2.2.3
Hardware: Physical Infrastructure Linux
: Normal normal
Assignee: ZeXtras Bugzilla Admin
QA Contact:
URL:
Depends on:
Blocks:
 
Reported: 2016-04-08 18:19 CEST by inputmice
Modified: 2016-04-22 09:46 CEST (History)
2 users (show)

See Also:
Browser: ---
Zimlet Chat version: 1.35
Zimbra Version: ANY


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description inputmice 2016-04-08 18:19:16 CEST
When sending in IQ stanza to the server that is unknown to the server (read not implemented) for example a disco#items query or a query to fetch the users bookmarks the server doesn't respond at all where it must answer with an iq-error notifying the user that that command is not implemented.
According to the XMPP RFC 6120 Section 8.2.3 a https://tools.ietf.org/html/rfc6120#section-8.2.3 'An entity that receives an IQ request of type "get" or "set" MUST reply with an IQ response of type "result" or "error".'

The background is that some client expect and wait for a response before they do a follow up action.
Comment 1 Jay 2016-04-12 09:28:16 CEST
You're right, zextras chat doesn't currently reply with an error, do you have a particular client which awaits for a reply? so we can add it to the manual test list.
Comment 2 inputmice 2016-04-12 09:36:13 CEST
Yes Conversations (https://conversations.im or https://github.com/siacs/Conversations) awaits a reply on login for the mentioned disco#items
Thus a login takes ~20s which is the internal timeout for something like this. So if you want a manual test add an account to Conversations. Hit login. If it says connecting… for a long time the bug still persists. If it switches to 'online' almost immediately it'll be a good sign that the bug might be fixed. 

But really you could test this with every client by sending IQ stanzas (set or get) they should no matter what all get a reply. At the very least with an iq-error and a <feature-not-implemented/> tag or something like this. The spec can show you possible error conditions.
Comment 3 Cine 2016-04-22 09:46:56 CEST
Fixed in ZeXtras Suite 2.2.4